# RakNet::JoinByFilter_Func Struct Reference
[RoomsCommands]

Joins a room given the filter parameters and desired room member mode. More...

`#include <RoomsPlugin.h>`

Inheritance diagram for RakNet::JoinByFilter_Func:

List of all members.

## Detailed Description

Joins a room given the filter parameters and desired room member mode.

Room joins may fail if the room is locked, or does not have slots of the particular type Room joins may succeed where they would otherwise fail if the user has an invitation to the room

The documentation for this struct was generated from the following file:

- d:/RakNet-3.x/DependentExtensions/Lobby2/Rooms/RoomsPlugin.h